<?
/*
* Plugin Name: Crew Manager
* File results-shortcode.php
* File Version 1.0.0 Beta
* Author: Bill Kneller
* Author URI: http://crew-mgr.com
* Inserts [results] shortcode to display results listed in AI1EC Event Posts.
* Includes year chooser to display previous years
* Crew Members are WP subscribers
*/

function show_results($atts, $show_results = null){
$cur_yr = date('Y'); // gets curent year for query
$table_bgcolor="#EAF2F8"; // light blue background on selected table rows
$table_bgcolor1="#FFFFFF"; // white background on other selected table rows
if(!isset($_POST['query_yr'])) {
$query_yr = date('Y'); } ELSE {
$query_yr = $_POST['query_yr'];
} // endif isset
$dropdown = load_year_dropdown($query_yr);
    $table ="<table width=\"100%\"  frame=\"box\" border=\"1\" cellspacing=\"0\" cellpadding=\"0\" >";
    $table .="<tr><form action=\"\" method=\"post\">
<td width=\"10%\">".$dropdown."</td>";
    $table .="<td width=\"20%\"> <input type='submit' name='submit' value='<== Select year, then click here to update display' />
</td></tr></table></form>";

if(isset($_POST['submit'])){
$query_yr = $_POST['query_yr'];  // Storing Selected Value In Variable
}
if(!isset($_POST['query_yr'])) $query_yr = date('Y');
// Get the data from the ai1ec_events table in the Wordpress database.
global $wpdb;
    $table_ai1ec_events  = $wpdb->prefix."ai1ec_events";
    $table_ai1ec_instances  = $wpdb->prefix."ai1ec_event_instances";
    $table_posts  = $wpdb->prefix."posts";


$eventquery = $wpdb->get_results("SELECT DISTINCT e.start 'Start', e.end 'End', p.post_title 'Event', p.ID 'PostID' FROM $table_ai1ec_events e, $table_ai1ec_instances i, $table_posts p 
WHERE e.post_id = p.ID
AND e.post_id = i.post_id
AND p.post_status = 'publish'
AND FROM_UNIXTIME(e.start, '%Y') = $query_yr

ORDER BY e.start
", ARRAY_A);

if (!$eventquery){
    $table .="<table width=\"100%\"  frame=\"box\" border=\"1\" cellspacing=\"0\" cellpadding=\"0\" >";
    $table .= "<h4>There are no results recorded for ".$query_yr ."</h4>";
} ELSE { // results were found so display them
    $table .="<table width=\"100%\"  frame=\"box\" border=\"1\" cellspacing=\"0\" cellpadding=\"0\" >";
    $table .= "<tr style=\"background-color:".$table_bgcolor.";\"  ><td width=\"30%\"><b>Event</b></td> <td width=\"5%\"><b>Date</b></td> <td width=\"20%\"><b>Results</b></td><td width=\"20%\"><b>Series Results</b></td></tr>";
foreach($eventquery as $row)
{
$race_results=$race_results_link=$series_results=$series_results_link=$results_display=$series_display="";
$race_results = get_post_meta($row['PostID'], 'race_results', false);
$race_results_link = get_post_meta($row['PostID'], 'race_results_link', false);
$series_results = get_post_meta($row['PostID'], 'series_results', false);
$series_results_link = get_post_meta($row['PostID'], 'series_results_link', false);

if ($race_results || $race_results_link || $series_results || $series_results_link) { // results available so display them 

if($race_results) $results_display=$race_results[0]; //format results as text if set in meta for post
$results_formatted_link='<a href="'.$race_results_link[0].'" target=\"_blank\">'.$race_results[0].'</a>';
if($race_results && $race_results_link) $results_display=$results_formatted_link; //format results as a link for post

if($series_results) $series_display=$series_results[0]; //format results as text if set in meta for post
$series_formatted_link='<a href="'.$series_results_link[0].'" target=\"_blank\">'.$series_results[0].'</a>';
if($series_results && $series_results_link) $series_display=$series_formatted_link; //format series results as a link for post

global $crew_manager_options; // allows global [time_offset] and [availability_hide] in query

$tz = $crew_manager_options['time_zone'];
date_default_timezone_set($tz); //Corrects for local
     $event_date=date("m/d/Y", $row['Start']);
     $event_time=date("h:i A", $row['Start']);
     $Event_URL='<a href="'.get_permalink( $row['PostID'] ).'">'.get_the_title( $row['PostID'] ).'</a>';

     $table .= "<tr><td>". $Event_URL . "</td><td>". $event_date . "</td><td>". $results_display. "</td><td>". $series_display."</td></tr>";

     $bgcolor="#ffffff"; // white  
} // endif ($race_results || $race_results_link || $series_results || $series_results_link)
 
} // this is end of foreach eventquery

} // endif (!$eventquery) - skips table if no results

    $table .="</table>";

  return $table;
}

add_shortcode('results', 'show_results');
// end of [results] shortcode ***************************
