<?
/*
* Plugin Name: Crew Manager
* File skippercrewadmin-shortcode.php
* File Version 1.1.0 Beta
* Author: Bill Kneller
* Author URI: http://crew-mgr.com
* Inserts [crewadmin] shortcode to allow logged in skipper to set
* availability & position for currrent year events by crew member
* for events from custom tables for crew position & assignment
* $crew_administrators defined in admin panel
* Crew Members are WP subscribers
*
* 5/23/2018 added jump to next scheduled event button
* 4/28/2018 Submit Changes button now floats
* 4/22/2018 fixed broken $select_user_id
* 4/18/2018 changed time zone correction to use date_default_timezone_set($tz)
**/

function content_crewadmin($atts, $content_crewadmin = null){
$debug_displays = "No"; // "Yes" turns on debug displays, otherwise ""
$debug_stop_database_update  = "No"; // "Yes" prevents db update, otherwise ""
if($debug_displays=="Yes") $show_debug_displays = "Debug Displays Enabled";
if($debug_stop_database_update=="Yes") $show_debug_stop_database_update = "Database Updates Inhibited";
if ($debug_stop_database_update=="Yes" || $debug_displays=="Yes")$table = "<h3>".$show_debug_displays . "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;". $show_debug_stop_database_update . "</h3><br>";
error_reporting(E_ALL & ~E_NOTICE); // turn off error notices
$current_user = wp_get_current_user(); // gets user logged in
$cur_yr = date('Y'); // gets curent year for query
if (!session_id())  session_start();  // allows saving variables between page submissions

// Get the data from the ai1ec_events table in the Wordpress database.
global $wpdb;
    $table_ai1ec_events  = $wpdb->prefix."ai1ec_events";
    $table_ai1ec_instances  = $wpdb->prefix."ai1ec_event_instances";
    $table_crewmgr_assigned  = $wpdb->prefix."crewmgr_assigned";
    $table_crewmgr_position  = $wpdb->prefix."crewmgr_position";
    $table_users  = $wpdb->prefix."users";
    $table_posts  = $wpdb->prefix."posts";

// first display crew dropdown button to chose a user
$current_user = wp_get_current_user(); // gets user logged in
$selected_user_id = $current_user->ID; // sets to user logged in if nothing saved

if (isset($_SESSION['crew'])) $selected_user_id = $_SESSION['crew'];
if(isset($_POST['crew'])){
// save crew selected for page submission refresh 
$_SESSION['crew'] = $_POST['crew'];
$selected_user_id = $_SESSION['crew']; // get the selected crew from dropdown
}
     $table ="<form action=\"\" method=\"post\">";
    $table .="<div class=\"button-login-redirect\"><center><a class=\"button-login-redirect\" href=\"#jump_here\">Jump to Next Scheduled Event</a></center></div>"; // button jumps to next event date
$users_dropdown = get_registered_users_dropdown($selected_user_id);
     $table .= "<table>";
     $table .= "<td align = \"center\" width=\"20%\">".$users_dropdown."</td><td><input type=\"submit\" name=\"CrewSubmit\" value=\"<=Select Crew Name & Click Here to Update\"></td>";
    $table .="</table>";
    $table .="</form>";
// below checks if availability was changed which forces a database update
if(isset($_POST['crew'])){
// save crew selected for page submission refresh 
$_SESSION['crew'] = $_POST['crew'];
$selected_user_id = $_SESSION['crew']; // get the selected crew from dropdown
}
// above is end of CrewSubmit
     global $crew_manager_options; 
    if((($current_user->ID == (int)$crew_manager_options['skipper'] || (int)$current_user->ID == $crew_manager_options['skipper_admin']) && $current_user->ID !== 0) || current_user_can('administrator')){ // do below only if logged in logged in as admin

$user_info = get_userdata($selected_user_id);
        $user_firstname = $user_info->first_name;
        $user_lastname = $user_info->last_name;
        $user_login = $user_info->user_login;

$crewquery = $wpdb->get_results("SELECT DISTINCT e.start 'Start', e.end 'End', e.venue 'Location', p.post_title 'Event', p.ID 'PostID', u.display_name 'Name', u.ID 'ID' FROM $table_ai1ec_events e, $table_ai1ec_instances i, $table_users u, $table_posts p 
WHERE e.post_id = p.ID
AND e.post_id = i.post_id
AND p.post_status = 'publish'
AND u.ID = '$selected_user_id'   

AND FROM_UNIXTIME(e.start, '%Y') = $cur_yr
GROUP BY p.ID
ORDER BY e.start
", ARRAY_A);

    $table .="<form action=\"\" method=\"post\">";
    $table .="<b>Crew Member Selected: </b>".$user_login."&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;  <b>User ID: </b>".$selected_user_id."&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (".$user_firstname  ." ".$user_lastname.")"; // update this for selected
    $table .="<table width=\"100%\"  border=\"1\" cellspacing=\"0\" cellpadding=\"0\">";
    $table .= "<td colspan=\"6\"><center><b>Use <em>Select Crew</em> &nbsp;->&nbsp; Click  <em>Update</em> &nbsp;->&nbsp; For each event choose <em>Availabile</em>, <em>Position</em> & type in any <em>Assignment</em> &nbsp;->&nbsp; Click <em>Submit Changes</em> at bottom</b></center></td>";
    $table .= "<tr class=\"border_top\"><td colspan=\"7\"><b>Crew Color Codes:</b> Green crew is confirmed. Yellow crew need to verify with Skipper.  Red does not crew for event.  White crew position assignment not made yet.</td></tr>";
    $table .= "<tr><td><b>Event</b></td><td width=\"15%\"><b>Date</b></td><td><b>Location</b></td><td align = \"center\" width=\"12%\"><b>Available</b></td><td align = \"center\" width=\"16%\"><b>Position</b></td><td width=\"15%\"> <b>Assignment</b></td></tr>";
$jump_flag = NULL;
$date = new DateTime();
$now = $date->getTimestamp();
foreach($crewquery as $row)
{
    // display each $row from query here.
$pos_dropdown = load_position_dropdown($row['PostID'], $selected_user_id, $row['AvailID']);
     if ($selected_user_id == $row['ID']) $available_dropdown = load_available_dropdown($row['Available'],$row['AvailID'],$selected_user_id,$row['PostID']);
     if ($selected_user_id == $row['ID']) $assignment = load_assignment_text_box($row['Assigned'],$row['AvailID'],$selected_user_id,$row['PostID']);
     $available = initial_dropdown_value($row['Available'], $row['AvailID'], $selected_user_id, $row['PostID']);
     $pos=get_position($selected_user_id, $row['PostID']);
     $bgcolor="#ffffff"; // white  
     if($available=="3" || $pos=="Stay Ashore") $bgcolor="#ffccff"; // pink  
     if($available=="1" && $pos=="Standby Crew") $bgcolor="#ffff99"; // yellow 
     if($available=="2") $bgcolor="#ffff99"; // yellow
     if($available=="1" && ($pos!="Not Assigned" && $pos!="Standby Crew")) $bgcolor="#C2FFC2"; // green
     if(($available=="1" || $available=="2") && $pos=="Not Assigned") $bgcolor="#ffffff"; // white
     if($pos=="Stay Ashore") $bgcolor="#ffccff"; // pink
     global $crew_manager_options; // allows global [time_offset] and [availability_hide] in query
$tz = $crew_manager_options['time_zone'];
date_default_timezone_set($tz); //Corrects for local
     $event_date=date("D, M jS", $row['Start']);
     $event_time=date("g:i A", $row['Start']);
//     $event_time=date("g:i A", ($row['Start'] - 60 * 60 * $crew_manager_options['time_offset'])); //adjusts UTC to Local
     $Jump_URL='';
     $Event_URL='<a href="'.get_permalink( $row['PostID'] ).'">'.get_the_title( $row['PostID'] ).'</a>';
// this section sets page link so that on page load the next date is scrolled to
	if (($row['Start'] - $now) == abs(($row['Start'] - $now)) && $jump_flag!==1)
	 {
     $Jump_URL='<a name="jump_here"></a>';
	 $jump_flag = 1; }
 // this is first date after $now so put jump tag in url
     $table .= "<tr><td bgcolor=$bgcolor>". $Jump_URL. $Event_URL . "</td><td bgcolor=$bgcolor>". $event_date . "<br>" . $event_time . "</td><td bgcolor=$bgcolor>". $row['Location'] . "</td><td bgcolor=$bgcolor align = \"center\">".$available_dropdown."</td><td bgcolor=$bgcolor>".$pos_dropdown."</td><td bgcolor=$bgcolor>". $assignment . "</td></tr>";
} // end foreach $crewquery as $row
    $table .="</table>";
/** Below starts the submit button for admin editing **/
    $table .="<div class=\"floatingbox\" id=\"floatingbox\"><input type=\"submit\" name=\"Submit\" value=\"Submit Changes\"</div>"; // button floats

    $table .="</form>";
// below checks if availability was changed which forces a database update
if(isset($_POST['available'])){
$available = $_POST['available'];  //sets up array with all dropdown values
$position = $_POST['position'];  //sets up array with all dropdown values
$assignment = $_POST['assigned'];  //sets up array with all dropdown values
$selected_user_id = $_SESSION['crew']; // variable is passed on 1st form submit
// echo "<br><center><h2>Submit Clicked</h2></center><br>"; //debug
    $table_name  = $wpdb->prefix."crewmgr_assigned";
// iterate through position and available to match index keys
// then store the values as an update or insert if new availability
foreach($available as $key => $avail_value) {
    $avail_key=$key;
    foreach($position as $key => $pos_value) {
      $pos_key=$key;
	    foreach($assignment as $key => $assign_value) {
      	$assign_key=$key;
         IF ($avail_key == $pos_key && $assign_key == $pos_key) {
         $PostID = substr($key, 0, strpos($key, "-")); // key has post and user id - strip user
         $selected_user_id = substr($key, strpos($key, "-") + 1); // key has post and user id - strip post - this was fixed 4/22/2018

         $stored_pos_value = get_position_id($selected_user_id, $PostID);
         $stored_assign_value = get_assigned_text($selected_user_id, $PostID);
         $stored_avail_value = get_available_value($selected_user_id, $PostID);

	         if ($stored_pos_value != $pos_value || $stored_avail_value != $avail_value || $stored_assign_value != $assign_value) { // checks if an update was made and processes, otherwise skip

if($debug_displays=="Yes")          echo "Post ID: ".$PostID."  key: ".$key. "  selected_user_id: ". $selected_user_id. "  avail_value: ". $avail_value . " stored avail value: " . $stored_avail_value ." pos_value: ". $pos_value . "  stored position: ". $stored_pos_value." assign_value: ". $assign_value . "  stored assignment: ". $stored_assign_value."<br>"; // debug display

  if ($debug_stop_database_update!=="Yes") $db_update = availability_insert_or_update($PostID, $selected_user_id,  $avail_value, $pos_value, $assign_value);
		         } // endif checks if an update was made
           } // endif avail_key== pos_key
         } // end foreach assignment
    } // end foreach position
} // end foreach available

     echo "<h3><font color=\"red\"><center>Refreshing Display</center></font></h3>";
if($debug_displays!=="Yes")    $table .="<meta http-equiv='refresh' content='0'>";
}

     global $crew_manager_options; 
    if($current_user->ID == (int)$crew_manager_options['skipper'] || (int)$current_user->ID == $crew_manager_options['skipper_admin'] || current_user_can('administrator')){ // display table only if logged in as admin

        return $table;
} // endif logged in check from way above

    }else{
    $table ="<h3>Only the Skipper can see this page</h3>";
    $table .="<h4>Skipper - Please <a href=\"".wp_login_url( get_permalink() )."\" title=\"Login\">Login</a> to view / set availability and assign Crew Member positions for current year events.</h4>";
        return $table;
    }
}

add_shortcode('skippercrewadmin', 'content_crewadmin');

// end of [crewadmin] shortcode ***************************